> For the complete documentation index, see [llms.txt](https://docs.verifone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifone.com/online-payments/advanced-payment-methods-apms/paypal/your-first-transaction-with-paypal/paypal-show-token-details.md).

# PayPal Show token details

Shows details for an agreement token, by an agreement token ID that was created in [Initiate Billing Agreement API](/online-payments/advanced-payment-methods-apms/paypal/your-first-transaction-with-paypal/paypal-initiate-billing-agreement.md).

## Required fields

There are no required fields for show token details API.

## Optional fields

There are no optional fields.

Here is an example of a GET request that can be used for getting an agreement token.

```bash
curl -v -X GET '<SERVER URL>/billingAgreement/token/<Token>?ppcUid=<PPC Id>' \
-H 'Authorization: Bearer <Access Token>'
```

### Response

The response for show token details will look like this:

```json
{
    "description": "Stored PayPal account with The Partner merchant",
    "tokenId": "BA-2P312934M8351860T",
    "status": "APPROVED",
    "collectShippingAddress": false,
    "enableAddressChange": true,
    "redirectUrls": {
        "cancelUrl": "https://68f8497efb9ce8aeef3ed419c6ef0597.m.pipedream.net/cancel",
        "returnUrl": "https://68f8497efb9ce8aeef3ed419c6ef0597.m.pipedream.net/success"
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.verifone.com/online-payments/advanced-payment-methods-apms/paypal/your-first-transaction-with-paypal/paypal-show-token-details.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
